import request from "@/utils/request";

// 查询任务列表
export function LIST(data) {
  return request({
    url: "/pu/order/generate/list",
    method: "POST",
    data: data,
  });
}

// 查询任务列表
export function item(data) {
  return request({
    url: `/pu/order/generate/${data}`,
    method: "GET",
  });
}

// 查询任务列表
export function FIRSTDIRECT(data) {
  return request({
    url: "/pu/order/generate/manualAgreement",
    method: "POST",
    data: data,
  });
}

// 查询任务列表
export function ADD(data) {
  return request({
    url: "/pu/order/create",
    method: "POST",
    data: data,
  });
}

// 查询任务列表
export function SHUTDOWN(data) {
  return request({
    url: `/pu/demand/item/summary/shutDown/${data}`,
    method: "PUT",
    data: data,
  });
}
